git-annotate(1)
===============

NAME
----
git-annotate - Annotate file lines with commit information

SYNOPSIS
--------
[verse]
'git annotate' [<options>] [<rev-opts>] [<rev>] [--] <file>

DESCRIPTION
-----------
Annotates each line in the given file with information from the commit
which introduced the line. Optionally annotates from a given revision.

The only difference between this command and linkgit:git-blame[1] is that
they use slightly different output formats, and this command exists only
for backward compatibility to support existing scripts, and provide a more
familiar command name for people coming from other SCM systems.

OPTIONS
-------
include::blame-options.adoc[]

SEE ALSO
--------
linkgit:git-blame[1]

GIT
---
Part of the linkgit:git[1] suite
